/*
  This class stores data of the boards cells,
 where each cell is either true or false
 *note* it is a 10*20 grid for standard tetris
 
 It contains:
 
 void toggleCell(int x , int y);
 * toggles boolean state of a cell
 
 boolean getCell(int x, int y);
 * returns value of a cell
 * this is needed for rowFullCheck();
 */
class Board {
  final int columns = 13; //to check on sides
  final int rows = 23; //24 to have check box go above and below "well area" 

  boolean cell[][];

  public Board() {
    this.cell = new boolean[columns][rows];
    resetBoard();
  }

  void resetBoard() {
    for(int y=1; y<21;y++) {
      for(int x=2; x<12;x++) {  
        cell[x][y] = false;
      }
    }
    for(int x=0; x<13;x++) {  
      cell[x][0] = false;
      cell[x][21] = true;
      cell[x][22] = true;
    }
    for(int y=0; y<23;y++) {  
      cell[0][y] = true;
      cell[1][y] = true;
      cell[12][y] = true;
    }
  }

  public void toggleCell(int x, int y) {
    if (this.cell[x][y] == true)
      this.cell[x][y] = false;
    else
      this.cell[x][y] = true;
  }
  public boolean getCell(int x, int y) {
    return this.cell[x][y];
  }
}

